# ics-ans-role-conda

Ansible role to install conda on CentOS.

## Requirements

- ansible >= 2.7
- molecule >= 2.20

## Role Variables

```yaml
conda_version: 4.6.14
conda_channel_alias: https://artifactory.esss.lu.se/artifactory/api/conda
# List of conda channels to use
conda_channels:
  - conda-e3
  - ics-conda
  - conda-forge
  - anaconda-main
# List of conda environment yaml files to create
conda_env_files: []
# Name of the conda environment to activate by default
# If left empty no conda env is activated
conda_default_env: ""
```

The role can create conda environments if you pass a list of yaml environment files via
the `conda_env_files` variable.
You can use both local files and http/https url:

```yaml
conda_env_files:
  - "{{ playbook_dir }}/config/molecule_env.yml"
  - https://gitlab.esss.lu.se/ics-infrastructure/conda-environments/raw/master/molecule_env.yml
```


## Example Playbook

```yaml
- hosts: servers
  roles:
    - role: ics-ans-role-conda
```

## License

BSD 2-clause
