import os
import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')


def test_conda_version(host):
    cmd = host.run('/opt/conda/bin/conda --version 2>&1')
    assert cmd.rc == 0
    assert cmd.stdout.strip() == 'conda 4.6.14'


def test_conda_path(host):
    cmd = host.run('su -l -c "type conda" root')
    assert cmd.stdout.startswith('conda is a function')


def test_condarc_file(host):
    condarc = host.file("/opt/conda/.condarc")
    if host.ansible.get_variables()["inventory_hostname"] == "ics-ans-role-conda-rpm":
        assert condarc.content_string == """channel_alias: https://artifactory.esss.lu.se/artifactory/api/conda
channels:
  - conda-forge
auto_update_conda: False"""
    else:
        assert condarc.content_string == """channel_alias: https://artifactory.esss.lu.se/artifactory/api/conda
channels:
  - conda-e3
  - ics-conda
  - conda-forge
  - anaconda-main
auto_update_conda: False"""


def test_conda_default_env_file(host):
    conda_default_env = host.file("/etc/profile.d/conda_default_env.sh")
    if host.ansible.get_variables()["inventory_hostname"] == "ics-ans-role-conda-create-env":
        assert conda_default_env.content_string == "conda activate python36"
    else:
        assert not conda_default_env.exists
